#pragma hdrfile fileinfo.csm
#include <string>
#pragma hdrstop
#include "fileinfo.h"

FileInfo::FileInfo() : m_BufferId( 0 )
{
}

FileInfo::FileInfo( string fileName,
                    int bufferId,
                    bool changed ) : m_BufferId( bufferId ),
                                     m_FileName( fileName ),
                                     m_fFileChanged( changed )
{
}

FileInfo::FileInfo( const FileInfo& fi )
{
    *this = fi;
}

FileInfo& FileInfo::operator=( const FileInfo& fi )
{
    if( this == &fi )
    {
        return *this;
    }

    m_FileName = fi.m_FileName;
    m_BufferId = fi.m_BufferId;

    return *this;
}

int FileInfo::operator==( const FileInfo& fi ) const
{
    return m_BufferId == fi.m_BufferId;
}
