#if !defined _FileInfo_h_
#define _FileInfo_h_

class FileInfo
{
    public:
    // LIFECYCLE
    //
        FileInfo();
        FileInfo( string fileName, int bufferId, bool fFileChanged );
        FileInfo( const FileInfo& fi );


    // OPERATORS
    //
        FileInfo& operator=( const FileInfo& fi );
        int operator==( const FileInfo& fi ) const;
        int operator<( const FileInfo& fi ) const;

    // ACCESS
    //
        const char* FileName() const { return m_FileName.c_str(); }
        int BufferId() const { return m_BufferId; }

    private:
        string m_FileName;
        int m_BufferId;
        bool m_fFileChanged;
};

inline
int FileInfo::operator<( const FileInfo& fi) const
{
    return m_FileName < fi.m_FileName;
}

#endif      // !define _FileInfo_h_
